Bug 1092211 - CVE-2014-0471 dpkg: path traversal when unpacking a source package [fedora-all]
CVE-2014-0471 dpkg: path traversal when unpacking a source package [fedora-all]
Product: Fedora
Classification: Fedora
Component: dpkg (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Andrew Colin Kissa
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2014-0471
  Show dependency treegraph
Reported: 2014-04-28 22:38 EDT by Murray McAllister
Modified: 2015-01-04 17:40 EST (History)
4 users (show)

See Also:
Fixed In Version: dpkg-1.16.15-1.fc19
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-05-20 22:27:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-04-28 22:38:17 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:

When creating a Bodhi update request, use the bodhi submission link noted
in the next comment(s).  This will include the bug IDs of this tracking
bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Murray McAllister 2014-04-28 22:38:29 EDT
Use the following update submission link to create the Bodhi request for
this issue as it contains the top-level parent bug(s) as well as this
tracking bug.  This will ensure that all associated bugs get updated when
new packages are pushed to stable.

IMPORTANT: ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
Comment 2 Fedora Update System 2014-05-10 06:00:00 EDT
dpkg-1.16.14-1.fc19 has been submitted as an update for Fedora 19.
Comment 3 Fedora Update System 2014-05-10 06:00:13 EDT
dpkg-1.16.14-1.fc20 has been submitted as an update for Fedora 20.
Comment 4 Fedora Update System 2014-05-12 01:21:30 EDT
Package dpkg-1.16.14-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dpkg-1.16.14-1.fc19'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-05-20 22:27:39 EDT
dpkg-1.16.14-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-07-19 10:23:19 EDT
dpkg-1.16.15-1.fc19 has been submitted as an update for Fedora 19.
Comment 7 Fedora Update System 2014-08-07 11:34:04 EDT
dpkg-1.16.15-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.